Modify

Opened 4 months ago

Closed 4 weeks ago

#20700 closed defect (duplicate)

AE: Primitive was removed when purging, but is still there on undo

Reported by: skyper Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report purge command stack undo Cc: GerdP

Description (last modified by skyper)

What steps will reproduce the problem?

I do not really know, sorry.

Edit: See below for a simpler way to reproduce.

  1. I had merged some object to the wrong layer, e.g. I purged them, preserving the command stack.
  2. Worked in a different layer
  3. Noticed indicator of changes of the first layer but upload was disabled and I did not find any modified objects.
  4. Continued work on differnt layer and deleted this layer after upload
  5. Noticed that the undo button was still enabled.
  6. Undo
  7. Undo

What is the expected result?

No exception and a disabled undo button if nothing can be undone

What happens instead?

I have one remaining entry in command stack (Purge 2 objects) which cannot be undone but leads to an exception.

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-03-31 20:46:00 +0200 (Wed, 31 Mar 2021)
Revision:17699
Build-Date:2021-04-01 01:30:56
URL:https://josm.openstreetmap.de/svn/trunk

Last errors/warnings:
- 55618.536 W: javax.net.ssl.SSLException: Socket closed. Cause: java.net.SocketException: Socket closed
- 55618.536 W: Already here java.net.SocketException: Socket closed
- 55618.536 E: javax.net.ssl.SSLException: Socket closed. Cause: java.net.SocketException: Socket closed
- 55655.409 W: java.net.SocketTimeoutException: Read timed out
- 55655.409 E: java.net.SocketTimeoutException: Read timed out
- 55655.410 E: java.util.concurrent.ExecutionException: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: Read timed out
- 55710.068 W: java.net.SocketTimeoutException: Read timed out
- 55710.068 E: java.net.SocketTimeoutException: Read timed out
- 55710.069 E: java.util.concurrent.ExecutionException: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: org.openstreetmap.josm.io.OsmTransferException: Could not connect to the OSM server. Please check your internet connection.. Cause: java.net.SocketTimeoutException: Read timed out
- 58815.648 E: Handled by bug report queue: java.lang.AssertionError: Primitive {Node id=1482533328 version=15 VT lat=48.1520468,lon=7.7715377} was removed when purging, but is still there on undo



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (19) of main
java.lang.AssertionError: Primitive {Node id=1482533328 version=15 VT lat=48.1520468,lon=7.7715377} was removed when purging, but is still there on undo
	at org.openstreetmap.josm.command.PurgeCommand.lambda$undoCommand$1(PurgeCommand.java:136)
	at org.openstreetmap.josm.data.osm.DataSet.update(DataSet.java:960)
	at org.openstreetmap.josm.command.PurgeCommand.undoCommand(PurgeCommand.java:126)
	at org.openstreetmap.josm.data.UndoRedoHandler.lambda$undo$0(UndoRedoHandler.java:381)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:224)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:372)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:362)
	at org.openstreetmap.josm.actions.UndoAction.actionPerformed(UndoAction.java:39)
	at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
	at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
	at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
	at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
	at java.desktop/javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:279)
	at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
	at java.desktop/java.awt.Component.processMouseEvent(Component.java:6635)
	at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
	at java.desktop/java.awt.Component.processEvent(Component.java:6400)
	at java.desktop/java.awt.Container.processEvent(Container.java:2263)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5011)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4918)
	at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4547)
	at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4488)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2307)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:95)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

=== RUNNING THREADS ===
Thread: JCS-ElementEventQueue-Thread-1 (41) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Image Animator 0 (3644) of main
java.base@11.0.9.1/java.lang.Thread.sleep(Native Method)
java.desktop@11.0.9.1/sun.awt.image.GifFrame.dispose(GifImageDecoder.java:669)
java.desktop@11.0.9.1/sun.awt.image.GifImageDecoder.readImage(GifImageDecoder.java:458)
java.desktop@11.0.9.1/sun.awt.image.GifImageDecoder.produceImage(GifImageDecoder.java:212)
java.desktop@11.0.9.1/sun.awt.image.InputStreamImageSource.doFetch(InputStreamImageSource.java:269)
java.desktop@11.0.9.1/sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:212)
java.desktop@11.0.9.1/sun.awt.image.ImageFetcher.run(ImageFetcher.java:176)

Thread: GT authority factory disposer (42) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.Object.wait(Object.java:328)
java.base@11.0.9.1/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.9.1/java.util.TimerThread.run(Timer.java:506)

Thread: AWT-Shutdown (20) of system
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.Object.wait(Object.java:328)
java.desktop@11.0.9.1/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-9 (119) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: RemoteControl HTTP Server (48) of main
java.base@11.0.9.1/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@11.0.9.1/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:458)
java.base@11.0.9.1/java.net.ServerSocket.implAccept(ServerSocket.java:565)
java.base@11.0.9.1/java.net.ServerSocket.accept(ServerSocket.java:533)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: changeset-updater-0 (51) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.9.1/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.9.1/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-14 (124) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-20 (130) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-11 (121) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-19 (129) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: DestroyJavaVM (52) of main

Thread: Java2D Disposer (15) of system
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.desktop@11.0.9.1/sun.java2d.Disposer.run(Disposer.java:144)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: AWT-XAWT (16) of system
java.desktop@11.0.9.1/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@11.0.9.1/sun.awt.X11.XToolkit.run(XToolkit.java:684)
java.desktop@11.0.9.1/sun.awt.X11.XToolkit.run(XToolkit.java:648)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: WMS-downloader-0 (165) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: class org.openstreetmap.josm.io.MultiFetchServerObjectReader-1 (1081) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Timer-3 (109) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.Object.wait(Object.java:328)
java.base@11.0.9.1/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.9.1/java.util.TimerThread.run(Timer.java:506)

Thread: styled-map-renderer-249 (4153)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: WeakCollectionCleaner (43) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:65)

Thread: main-worker-0 (18) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-17 (127) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: class org.openstreetmap.josm.io.MultiFetchServerObjectReader-1 (4826) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-8 (118) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-1 (111) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Reference Handler (2) of system
java.base@11.0.9.1/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@11.0.9.1/java.lang.ref.Reference.processPendingReferences(Reference.java:241)
java.base@11.0.9.1/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:213)

Thread: TimerQueue (21) of system
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.9.1/java.util.concurrent.DelayQueue.take(DelayQueue.java:229)
java.desktop@11.0.9.1/javax.swing.TimerQueue.run(TimerQueue.java:171)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-7 (5652)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: AWT-EventQueue-0 (19) of main
Stacktrace see above.

Thread: image-fetcher-0 (39) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-15 (125) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: message-notifier-0 (50) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.9.1/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.9.1/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-21 (131) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-3 (113) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Map Status Collector (58) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:438)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-5 (115) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: styled-map-renderer-260 (4712)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Timer-0 (44) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.9.1/java.util.TimerThread.run(Timer.java:506)

Thread: TMS-downloader-0 (110) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: WMS-downloader-2 (167) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: RemoteControl HTTP Server (49) of main
java.base@11.0.9.1/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@11.0.9.1/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:458)
java.base@11.0.9.1/java.net.ServerSocket.implAccept(ServerSocket.java:565)
java.base@11.0.9.1/java.net.ServerSocket.accept(ServerSocket.java:533)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: Common-Cleaner (9) of InnocuousThreadGroup
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.9.1/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:148)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)
java.base@11.0.9.1/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:134)

Thread: class org.openstreetmap.josm.io.MultiFetchServerObjectReader-0 (4825) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-16 (126) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: styled-map-renderer-258 (4532)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-4 (114) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: styled-map-renderer-265 (5206) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-6 (116) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-18 (128) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: WMS-downloader-1 (166) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-23 (150) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-12 (122) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-3 (4534)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-24 (151) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-10 (120) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: FileSystemWatchService (24) of main
java.base@11.0.9.1/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@11.0.9.1/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:316)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: File Watcher (25) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:671)
java.base@11.0.9.1/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$360/0x00000008403da840.run(Unknown Source)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Timer-2 (57) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.Object.wait(Object.java:328)
java.base@11.0.9.1/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.9.1/java.util.TimerThread.run(Timer.java:506)

Thread: Timer-1 (56) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.9.1/java.util.TimerThread.run(Timer.java:506)

Thread: TMS-downloader-22 (136) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-7 (117) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: class org.openstreetmap.josm.io.MultiFetchServerObjectReader-0 (1080) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: styled-map-renderer-251 (4156)
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Weak reference cleaner (26) of main
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$414/0x0000000840473040.run(Unknown Source)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: TMS-downloader-2 (112) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Signal Dispatcher (4) of system

Thread: TMS-downloader-13 (123) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.9.1/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.9.1/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.9.1/java.lang.Thread.run(Thread.java:834)

Thread: Finalizer (3) of system
java.base@11.0.9.1/java.lang.Object.wait(Native Method)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.9.1/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.base@11.0.9.1/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:170)

Thread: ForkJoinPool.commonPool-worker-5 (5251) of main
java.base@11.0.9.1/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.9.1/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.9.1/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.9.1/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Attachments (0)

Change History (2)

comment:1 Changed 4 weeks ago by skyper

Cc: GerdP added
Description: modified (diff)
Version: latest

Happened again with a simple way to reproduce:

What steps will reproduce the problem?

  1. Download some objects (closed way with four nodes)
  2. Modify the objects (move nodes and change properties of way)
  3. Purge the objects (way including its child nodes) keeping the command stack
  4. Download the object again
  5. Undo

What is the expected result?

Version conflict on the objects

What happens instead?

AssertionError

Please provide any additional information below. Attach a screenshot if possible.

Not sure if version conflicts are needed or if, at least in my case, without any modification after the second download, the previous purge versions with my changes should be restored.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-06-28 23:03:35 +0200 (Mon, 28 Jun 2021)
Revision:17943
Build-Date:2021-06-29 01:31:02
URL:https://josm.openstreetmap.de/svn/trunk

Last errors/warnings:
- 29767.990 E: Handled by bug report queue: java.lang.AssertionError: Primitive {Node id=1057835579 version=2 MV lat=47.98078212667877,lon=7.8247530984316676} was removed when purging, but is still there on undo



=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (21) of main
java.lang.AssertionError: Primitive {Node id=1057835579 version=2 MV lat=47.98078212667877,lon=7.8247530984316676} was removed when purging, but is still there on undo
	at org.openstreetmap.josm.command.PurgeCommand.lambda$undoCommand$1(PurgeCommand.java:136)
	at org.openstreetmap.josm.data.osm.DataSet.update(DataSet.java:960)
	at org.openstreetmap.josm.command.PurgeCommand.undoCommand(PurgeCommand.java:126)
	at org.openstreetmap.josm.data.UndoRedoHandler.lambda$undo$0(UndoRedoHandler.java:381)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:224)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:372)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:362)
	at org.openstreetmap.josm.actions.UndoAction.actionPerformed(UndoAction.java:39)
	at java.desktop/javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1810)
	at java.desktop/javax.swing.JComponent.processKeyBinding(JComponent.java:2900)
	at java.desktop/javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:311)
	at java.desktop/javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:266)
	at java.desktop/javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2993)
	at java.desktop/javax.swing.JComponent.processKeyBindings(JComponent.java:2985)
	at java.desktop/javax.swing.JComponent.processKeyEvent(JComponent.java:2862)
	at java.desktop/java.awt.Component.processEvent(Component.java:6412)
	at java.desktop/java.awt.Container.processEvent(Container.java:2263)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:5011)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1950)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:870)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1139)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:1009)
	at java.desktop/java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:835)
	at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4892)
	at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2321)
	at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
	at java.desktop/java.awt.Component.dispatchEvent(Component.java:4843)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:95)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
	at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

=== RUNNING THREADS ===
Thread: Timer-2 (59) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: Timer-1 (58) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: Map Status Collector (121) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.desktop@11.0.11/java.awt.EventQueue.invokeAndWait(EventQueue.java:1361)
java.desktop@11.0.11/java.awt.EventQueue.invokeAndWait(EventQueue.java:1342)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:447)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: ForkJoinPool.commonPool-worker-5 (2572) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-22 (84) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: message-notifier-0 (51) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.11/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.11/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-2 (64) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: WeakCollectionCleaner (44) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:65)

Thread: TMS-downloader-24 (86) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-23 (85) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: ForkJoinPool.commonPool-worker-3 (2531)
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-11 (73) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-20 (82) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: Signal Dispatcher (4) of system

Thread: styled-map-renderer-106 (2581) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: styled-map-renderer-101 (2576) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Common-Cleaner (10) of InnocuousThreadGroup
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.11/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:148)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)
java.base@11.0.11/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:134)

Thread: File Watcher (27) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:671)
java.base@11.0.11/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$370/0x0000000840427840.run(Unknown Source)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: DestroyJavaVM (53) of main

Thread: styled-map-renderer-99 (2574) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Timer-3 (137) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: Finalizer (3) of system
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.base@11.0.11/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:170)

Thread: TMS-downloader-8 (70) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-12 (74) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: WMS-downloader-1 (246) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: JCS-ElementEventQueue-Thread-1 (42) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-0 (62) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: styled-map-renderer-107 (2582) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: styled-map-renderer-96 (2501) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Java2D Disposer (15) of system
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.desktop@11.0.11/sun.java2d.Disposer.run(Disposer.java:144)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-17 (79) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-5 (67) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-7 (69) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: WMS-downloader-2 (247) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: styled-map-renderer-100 (2575) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-6 (68) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: AWT-Shutdown (22) of system
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.desktop@11.0.11/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: main-worker-0 (18) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: changeset-updater-0 (52) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.11/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.11/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: styled-map-renderer-104 (2579) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-18 (80) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: Timer-28 (866) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: TMS-downloader-21 (83) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: Weak reference cleaner (30) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.11/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$456/0x00000008404e7c40.run(Unknown Source)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: FileSystemWatchService (26) of main
java.base@11.0.11/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@11.0.11/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:316)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: AWT-XAWT (16) of system
java.desktop@11.0.11/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@11.0.11/sun.awt.X11.XToolkit.run(XToolkit.java:684)
java.desktop@11.0.11/sun.awt.X11.XToolkit.run(XToolkit.java:648)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-16 (78) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-19 (81) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: Reference Handler (2) of system
java.base@11.0.11/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@11.0.11/java.lang.ref.Reference.processPendingReferences(Reference.java:241)
java.base@11.0.11/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:213)

Thread: TMS-downloader-15 (77) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-3 (65) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-4 (66) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-9 (71) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: AWT-EventQueue-0 (21) of main
Stacktrace see above.

Thread: styled-map-renderer-108 (2583) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: TMS-downloader-14 (76) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: image-fetcher-0 (40) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-10 (72) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: ForkJoinPool.commonPool-worker-7 (2573) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: styled-map-renderer-102 (2577) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.11/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Timer-0 (45) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: RemoteControl HTTP Server (50) of main
java.base@11.0.11/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@11.0.11/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:458)
java.base@11.0.11/java.net.ServerSocket.implAccept(ServerSocket.java:565)
java.base@11.0.11/java.net.ServerSocket.accept(ServerSocket.java:533)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: GT authority factory disposer (43) of main
java.base@11.0.11/java.lang.Object.wait(Native Method)
java.base@11.0.11/java.lang.Object.wait(Object.java:328)
java.base@11.0.11/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.11/java.util.TimerThread.run(Timer.java:506)

Thread: RemoteControl HTTP Server (49) of main
java.base@11.0.11/java.net.PlainSocketImpl.socketAccept(Native Method)
java.base@11.0.11/java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:458)
java.base@11.0.11/java.net.ServerSocket.implAccept(ServerSocket.java:565)
java.base@11.0.11/java.net.ServerSocket.accept(ServerSocket.java:533)
app//org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: WMS-downloader-0 (245) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-13 (75) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TimerQueue (23) of system
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.DelayQueue.take(DelayQueue.java:217)
java.desktop@11.0.11/javax.swing.TimerQueue.run(TimerQueue.java:171)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

Thread: TMS-downloader-1 (63) of main
java.base@11.0.11/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.11/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.11/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.11/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
app//org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.11/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.11/java.lang.Thread.run(Thread.java:829)

comment:2 Changed 4 weeks ago by skyper

Resolution: duplicate
Status: newclosed

Closed as duplicate of #19331.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.